package com.jiayue.insu.incloud.permisson;

import cn.dev33.satoken.stp.StpUtil;
import com.jiayue.insu.common.core.util.R;
import com.jiayue.insu.incloud.entity.User;
import com.jiayue.insu.incloud.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/login")
public class Login {

    @Autowired
    private UserService userService;

    @GetMapping("/doLogin")
    public R doLogin(String name,String pwd){
        User user = userService.findByNameAndPwd(name, pwd);
        if(user!=null){
            StpUtil.login(user.getName());
            return R.ok();
        }else{
            return R.failed();
        }
    }

    // 查询登录状态，浏览器访问： http://localhost:8081/user/isLogin
    @GetMapping("/isLogin")
    public R isLogin() {
        return R.ok( StpUtil.isLogin());

    }



}
